import greenfoot.*;

public class SpaceWorld extends World
{
    int  currentScore = 0;
    ScoreBoard scoreBoard = new ScoreBoard();

    public SpaceWorld()
    {    
        // Create a new world with 600x400 cells with a cell size of 1x1 pixels.
        super(860, 620, 2); 

        prepare();
    }

    public void increaseScore(int amount)   {
        currentScore = currentScore + amount;
        scoreBoard.displayScore(currentScore);
    }

    /**
     * Prepare the world for the start of the program. That is: create the initial
     * objects and add them to the world.
     */
    private void prepare()
    {

        addObject (scoreBoard, 100, 100);
        Rocket rocket = new Rocket();
        addObject(rocket, 379, 340);
        rocket.setLocation(79, 289);
        Rock rock = new Rock();
        addObject(rock, 539, 121);
        Rock rock2 = new Rock();
        addObject(rock2, 716, 252);
        Rock rock3 = new Rock();
        addObject(rock3, 557, 411);
        Rock rock4 = new Rock();
        addObject(rock4, 654, 541);
        Orange orange = new Orange();
    }

    public void act()    {
        int roll = Greenfoot.getRandomNumber(7);
        int dice = Greenfoot.getRandomNumber(125);
        int met = Greenfoot.getRandomNumber(350);
        int car = Greenfoot.getRandomNumber(150);
        Rock r = new Rock();
        if(roll < 1) {
            addObject(r, 860, Greenfoot.getRandomNumber(getHeight()));

        }
        Orange o = new Orange();
        if(dice < 1)    {
            addObject(o, 860, Greenfoot.getRandomNumber(getHeight()));
        }
        Meteor_summon m = new Meteor_summon();
        if(met < 1) {
            addObject (m, 860, Greenfoot.getRandomNumber(getHeight()));
        }
        carrot c = new carrot();
        if(car < 1) {
            addObject (c, 860, Greenfoot.getRandomNumber(getHeight()));
        }
    }
}
